# distro.py for Fedora Core 3

if not sysconf.getReadOnly():
    if not sysconf.has("channels"):
        sysconf.set(("channels", "rpm-db"),
                    {"alias": "rpm-db",
                     "type": "rpm-sys",
                     "name": "RPM Database"})

        sysconf.set(("channels", "fedora-core-3"),
                    {"alias": "fedora-core-3",
                     "type": "rpm-md",
                     "name": "Fedora Core 3",
                     "baseurl": "http://download.fedora.redhat.com/pub/"
                                "fedora/linux/core/3/x86_64/os/"})

        sysconf.set(("channels", "updates-released-fc3"),
                    {"alias": "updates-released-fc3",
                     "type": "rpm-md",
                     "name": "Fedora Core 3 Updates",
                     "baseurl": "http://download.fedora.redhat.com/pub/"
                                "fedora/linux/core/updates/3/x86_64/"})

        sysconf.set(("channels", "fc-3-mirrors"),
                    {"alias": "fc-3-mirrors",
                     "type": "up2date-mirrors",
                     "url": "http://fedora.redhat.com/download/"
                            "up2date-mirrors/fedora-core-3"})

        sysconf.set(("channels", "fc3-updates-mirrors"),
                    {"alias": "fc3-updates-mirrors",
                     "type": "up2date-mirrors",
                     "url": "http://fedora.redhat.com/download/"
                            "up2date-mirrors/updates-released-fc3"})


    for type in ["", "doc", "smp" ]:
        if type:
            kernel = "kernel-%s" % type
        else:
            kernel = "kernel"
        pkgconf.setFlag("multi-version", kernel)

