# distro.py for Fedora Core 3

if not sysconf.getReadOnly():
    if not sysconf.has("channels"):
        sysconf.set(("channels", "rpm-db"),
                    {"alias": "rpm-db",
                     "type": "rpm-sys",
                     "name": "RPM Database"})

        sysconf.set(("channels", "fedora-core-3"),
                    {"alias": "fedora-core-3",
                     "type": "rpm-md",
                     "name": "Fedora Core 3",
                     "baseurl": "http://download.fedora.redhat.com/pub/"
                                "fedora/linux/core/3/i386/os/"})

        sysconf.set(("channels", "updates-released-fc3"),
                    {"alias": "updates-released-fc3",
                     "type": "rpm-md",
                     "name": "Fedora Core 3 Updates",
                     "baseurl": "http://download.fedora.redhat.com/pub/"
                                "fedora/linux/core/updates/3/i386/"})

        sysconf.set(("channels", "fc-3-mirrors"),
                    {"alias": "fc-3-mirrors",
                     "type": "up2date-mirrors",
                     "name": "Fedora Core 3 (Mirrors Channel)",
                     "url": "http://fedora.redhat.com/download/"
                            "up2date-mirrors/fedora-core-3"})

        sysconf.set(("channels", "fc3-updates-mirrors"),
                    {"alias": "fc3-updates-mirrors",
                     "type": "up2date-mirrors",
                     "name": "Fedora Core 3 Updates (Mirrors Channel)",
                     "url": "http://fedora.redhat.com/download/"
                            "up2date-mirrors/updates-released-fc3"})

        sysconf.set(("channels", "smart-fc3"),
                    {"alias": "smart-fc3",
                     "type": "rpm-md",
                     "name": "Smart for Fedora Core 3",
                     "baseurl": "http://zorked.net/smart/"
                                "fedora/3/i386/"})

# Messy repositories

#        sysconf.set(("channels", "fedora-us-extras-fc2"),
#                    {"alias": "fedora-us-extras-fc2",
#                     "type": "apt-rpm",
#                     "name": "Fedora.us Extras for Fedora Core 2",
#                     "baseurl": "http://download.fedora.us/fedora"
#                                "/fedora/2/i386/",
#                     "components": "extras",
#                     "disabled": "true" })

#        sysconf.set(("channels", "livna-fc3"),
#                    {"alias": "livna-fc3",
#                     "type": "apt-rpm",
#                     "name": "Livna.org extras for Fedora Core 3",
#                     "baseurl": "http://rpm.livna.org/fedora/3/i386/",
#                     "components": "stable",
#                     "disabled": "true" })

# Empty

#        sysconf.set(("channels", "jpackage-fc3"),
#                    {"alias": "jpackage-fc3",
#                     "type": "rpm-md",
#                     "name": "Java packages from JPackage.org for FC3",
#                     "baseurl": "http://mirrors.sunsite.dk/jpackage"
#                                "/1.6/fedora-3/free/",
#                     "disabled": "true" })

#        sysconf.set(("channels", "freshrpms-fc3"),
#                    {"alias": "freshrpms-fc3",
#                     "type": "rpm-md",
#                     "name": "freshrpms.net for Fedora Core3",
#                     "baseurl": "http://ayo.freshrpms.net/fedora/"
#                                "linux/3/i386/freshrpms",
#                     "disabled": "true" })
#        
#        sysconf.set(("channels", "atrpms-fc3"),
#                    {"alias": "atrpms-fc3",
#                     "type": "rpm-md",
#                     "name": "ATrpms for Fedora Core 3 stable",
#                     "baseurl": "http://apt.atrpms.net/fedora"
#                                "/3/en/i386/at-stable",
#                     "disabled": "true" })


    for type in ["", "doc", "smp" ]:
        if type:
            kernel = "kernel-%s" % type
        else:
            kernel = "kernel"
        pkgconf.setFlag("multi-version", kernel)

