Name: smart
Version: 0.35
Release: 1%{?distro_release:.%{distro_release}}
Source: http://linux-br.conectiva.com.br/~niemeyer/smart/files/smart-%{version}.tar.bz2

Source2: distro.py
# x86_64 was not tested
Source3: distro-x86_64.py
Source4: smart.console
Source5: smart.pam
Source6: smart.desktop
Summary: Next generation package handling tool
Group: Applications/System
License: GPL
Requires: pygtk2 >= 2.3.94
BuildRequires: python-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix: %{_prefix}
Requires: python

#Dependencies for ksmarttray:
BuildRequires: kdelibs-devel
BuildRequires: qt-devel
BuildRequires: pkgconfig
BuildRequires: make
BuildRequires: popt
BuildRequires: rpm-devel >= 4.2.1
BuildRequires: automake
BuildRequires: autoconf

%description
Smart Package Manager is a next generation package handling tool.

%package update
Summary: Allows execution of 'smart update' by normal users (suid)
Group: Applications/System
Requires: smart = %{version}-%{release}

%description update
Allows execution of 'smart update' by normal users through a
special suid command.

%package -n ksmarttray
Summary: KDE tray program for watching updates with Smart Package Manager
Group: Applications/System
Requires: smart-update = %{version}-%{release}

%description -n ksmarttray
KDE tray program for watching updates with Smart Package Manager.

%description -n ksmarttray
Programa tray do KDE para verificar atualizaes com o Smart Package Manager.

%prep
%setup -q

%build
CFLAGS="${RPM_OPT_FLAGS}"
CXXFLAGS="${RPM_OPT_FLAGS}"
export CFLAGS CXXFLAGS LDFLAGS
python setup.py build

pushd contrib/ksmarttray
make -f admin/Makefile.common
%configure --with-qt-includes="`/usr/bin/pkg-config --variable=includedir qt-mt`" --with-qt-libraries="`/usr/bin/pkg-config --variable=libdir qt-mt`"
make
popd

pushd contrib/smart-update
make
popd

%install
python setup.py install --root=%{buildroot} --record=INSTALLED_FILES

mkdir -p %{buildroot}%{_libdir}/smart
%ifnarch x86_64
cp %{_sourcedir}/distro.py %{buildroot}%{_libdir}/smart/
%else
cp %{_sourcedir}/distro-x86_64.py %{buildroot}%{_libdir}/smart/distro.py
%endif

pushd contrib/ksmarttray
make install DESTDIR=%{buildroot}
popd

ln -sf consolehelper %{buildroot}/usr/bin/smart-root

mkdir -p %{buildroot}/etc/security/console.apps
mkdir -p %{buildroot}/etc/pam.d
install -m 644 %{_sourcedir}/smart.console %{buildroot}/etc/security/console.apps/smart-root
install -m 644 %{_sourcedir}/smart.pam %{buildroot}/etc/pam.d/smart-root

mkdir -p %{buildroot}/usr/share/applications
install -m 644 %{_sourcedir}/smart.desktop \
    %{buildroot}/usr/share/applications/smart-package-manager.desktop
mkdir -p  %{buildroot}/usr/share/pixmaps
install -m 644 smart/interfaces/images/smart.png \
    %{buildroot}/usr/share/pixmaps/smart-package-manager.png

mkdir -p %{buildroot}/etc/smart/channels

pushd contrib/smart-update
cp -f smart-update %{buildroot}%{_bindir}
popd

#%py_compile %{buildroot}%{py_sitedir}

%clean
rm -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(0644,root,root,0755)
%doc HACKING README LICENSE TODO IDEAS
%defattr(-,root,root)
%{_libdir}/smart/distro.py
/usr/bin/smart-root
/etc/security/console.apps/smart-root
/etc/pam.d/smart-root
/usr/share/applications/smart-package-manager.desktop
/usr/share/pixmaps/smart-package-manager.png
%dir /etc/smart/channels

%files update
%attr(4755,root,root) %{_bindir}/smart-update

%files -n ksmarttray
%defattr(0644,root,root,0755)
%attr(0775,root,root) /usr/bin/ksmarttray
/usr/share/apps/ksmarttray

%changelog
* Thu Jun  9 2005 Aleksey Nogin <rpm@nogin.org> 0.35-1
- Upgraded to 0.35

* Fri Apr 15 2005 Guilherme Manika <guilherme@zorked.net>
- smart 0.30.2
- oops, forgot to include rpmmodule.so

* Fri Apr 15 2005 Sergio Bruder <sergio@bruder.net>
- smart-0.30.2

* Wed Dec 08 2004 Guilherme Manika <guilherme@zorked.net>
- smart-0.28-6
- upgraded to 0.28-final

* Wed Dec 08 2004 Guilherme Manika <guilherme@zorked.net>
- smart-0.28-5
- upgraded to 0.28-final

* Tue Dec 07 2004 Guilherme Manika <guilherme@zorked.net>
- smart-0.28-4
- upgraded to smart 0.28-rc5

* Tue Dec 07 2004 Guilherme Manika <guilherme@zorked.net>
- smart-0.28-3
- upgraded to smart 0.28-rc4

* Tue Dec 07 2004 Guilherme Manika <guilherme@zorked.net>
- smart-0.28-2
- upgraded to smart 0.28-rc3
- now includes /etc/smart/channels
- does not include rpmmodule.so by default (must define rpmmodule)

* Mon Dec 06 2004 Guilherme Manika <guilherme@zorked.net>
- smart-0.28-1
- upgraded to smart 0.28-rc1

* Sat Dec 04 2004 Guilherme Manika <guilherme@zorked.net>
- smart-0.27.1-2
- second public release 
- added "smart-fc3" channel
- upgraded to smart 0.27.1
